=== debian/changelog ===
voikko-fi (2.0-3) unstable; urgency=medium

  * Rename source to voikko-fi to match upstream project rename and
    the fact that malaga is no longer used.

 -- Timo Jyrinki <timo@debian.org>  Tue, 16 Feb 2016 14:10:04 +0200

suomi-malaga (2.0-2) unstable; urgency=medium

  * Improve package description now that malaga is no longer used.

 -- Timo Jyrinki <timo@debian.org>  Thu, 11 Feb 2016 10:12:36 +0200

suomi-malaga (2.0-1) unstable; urgency=medium

  [ Timo Jyrinki ]
  * New upstream major version.
  * Drops malaga usage, uses now VFST (Varissuo Finite State Transducer).
  * Require libvoikko-dev >= 4.0 for building. 
  * Drop malaga-bin, switch to Python 3.
  * Bump Standards-Version, no changes.
  * debian/watch: update url (now called voikko-fi)
  * debian/rules: adjust to build using vvfst parameter
  * Require foma for building.
  * Use C.UTF-8 locale for a successful (and more reproducible) build.

  [ Chris Lamb ]
  * debian/patches/10_source_date_epoch.patch: reproducible build
    (Closes: #807161)

 -- Timo Jyrinki <timo@debian.org>  Wed, 10 Feb 2016 17:04:22 +0200

suomi-malaga (1.18-1) experimental; urgency=medium

  * Imported Upstream version 1.18

 -- Timo Jyrinki <timo@debian.org>  Tue, 10 Feb 2015 16:21:32 +0200

suomi-malaga (1.17-1) unstable; urgency=medium

  * Imported Upstream version 1.17

 -- Timo Jyrinki <timo@debian.org>  Mon, 25 Aug 2014 12:00:31 +0300

suomi-malaga (1.16-1) unstable; urgency=medium

  * Imported Upstream version 1.16
  * Update Standards-Version

 -- Timo Jyrinki <timo@debian.org>  Wed, 02 Apr 2014 20:20:35 +0300

suomi-malaga (1.15-1) unstable; urgency=low

  * Update watch URL
  * Update Homepage address and add Debian collab-maint git vcs addresses
  * Imported Upstream version 1.15
  * Switch more to debhelper defaults
  * Bump debhelper from 5 to 9

 -- Timo Jyrinki <timo@debian.org>  Mon, 11 Nov 2013 19:00:24 +0200

suomi-malaga (1.14-1) unstable; urgency=low

  * New upstream release

 -- Timo Jyrinki <timo@debian.org>  Tue, 23 Jul 2013 14:53:03 +0300

suomi-malaga (1.13-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version
  * copyright: Update to fix lintian warning

 -- Timo Jyrinki <timo@debian.org>  Mon, 13 May 2013 16:24:24 +0300

suomi-malaga (1.12-1) unstable; urgency=low

  * New upstream release

 -- Timo Jyrinki <timo@debian.org>  Mon, 25 Jun 2012 22:25:28 +0300

suomi-malaga (1.11-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version
  * Add recommended build targets

 -- Timo Jyrinki <timo@debian.org>  Tue, 27 Mar 2012 14:00:29 +0300

suomi-malaga (1.10-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version
  * Remove duplicate Section from control file
  * Remove beginning article from the short description

 -- Timo Jyrinki <timo@debian.org>  Fri, 23 Sep 2011 09:19:10 +0300

suomi-malaga (1.9-1) unstable; urgency=low

  * New upstream release

 -- Timo Jyrinki <timo@debian.org>  Wed, 11 May 2011 12:47:31 +0300

suomi-malaga (1.8-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version

 -- Timo Jyrinki <timo@debian.org>  Mon, 13 Dec 2010 18:48:51 +0200

suomi-malaga (1.6-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version to 3.8.4
  * Change to 3.0 (quilt) source version

 -- Timo Jyrinki <timo@debian.org>  Wed, 26 May 2010 21:39:32 +0300

suomi-malaga (1.5-1) unstable; urgency=low

  * New upstream release
  * Fix lintian warning about relation form

 -- Timo Jyrinki <timo@debian.org>  Wed, 27 Jan 2010 17:49:59 +0200

suomi-malaga (1.4-1) unstable; urgency=low

  * New upstream release
  * Last part of installation directory no longer needs to be specified 
  * Breaks libvoikko < 2.2 
  * Update Standards-Version to 3.8.3 

 -- Timo Jyrinki <timo@debian.org>  Wed, 14 Oct 2009 17:18:20 +0300

suomi-malaga (1.3-3) unstable; urgency=low

  * Add FLOSS brand names (Closes: #527097)

 -- Timo Jyrinki <timo@debian.org>  Sun, 24 May 2009 11:58:08 +0300

suomi-malaga (1.3-2) unstable; urgency=low

  * Change installation path to work with libvoikko 2.1
  * Add Breaks to earlier libvoikko versions 
  * Update Standards-Version (no changes)
  * Bump debhelper to version 5 

 -- Timo Jyrinki <timo@debian.org>  Tue, 05 May 2009 20:26:29 +0300

suomi-malaga (1.3-1) unstable; urgency=low

  * New upstream release

 -- Timo Jyrinki <timo@debian.org>  Fri, 06 Mar 2009 17:10:54 +0200

suomi-malaga (1.2-2) unstable; urgency=low

  * Upload to unstable

 -- Timo Jyrinki <timo@debian.org>  Mon, 16 Feb 2009 16:56:22 +0200

suomi-malaga (1.2-1) experimental; urgency=low

  * New upstream release
  * Update maintainer address
  * Update Standards-Version (no changes)

 -- Timo Jyrinki <timo@debian.org>  Tue, 13 Jan 2009 15:04:37 +0200

suomi-malaga (1.1-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright to fix lintian warning and more

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Tue, 29 Apr 2008 22:39:14 +0300

suomi-malaga (1.0-1) unstable; urgency=low

  * New upstream version
  * Update standards-version to 3.7.3 (no changes)
  * Use new official "Homepage" field in control file
  * Add new Vcs-* fields as supported in dpkg 1.14.6 (thanks to Teemu Likonen)

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Thu, 10 Jan 2008 22:16:23 +0200

suomi-malaga (0.7.7-1) unstable; urgency=low

  * New upstream version
  * Fix Lintian warning debian-rules-ignores-make-clean-error

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Tue, 04 Dec 2007 19:54:43 +0200

suomi-malaga (0.7.6-1) unstable; urgency=low

  * New upstream version

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Sat, 01 Sep 2007 22:11:22 +0300

suomi-malaga (0.7.5-1) unstable; urgency=low

  * New upstream version
  * Add python build-dep, sync with upstream Debian packaging
  * Patch from upstream SVN to fix make -j5
  * Patch from upstream SVN to fix words of type "saksalais-roomalainen"


