=== debian/changelog ===
voikko-fi (2.1-1) unstable; urgency=medium

  * New upstream version.
  * Run wrap-and-sort -a -f.
  * Rebase 10_source_date_epoch.patch.
  * Bump Standards-Version, no changes.

 -- Timo Jyrinki <timo@debian.org>  Fri, 11 Nov 2016 11:06:22 +0200
