=== debian/control ===
--- 
+++ 
@@ -2,16 +2,20 @@
 Section: text
 Priority: optional
 Maintainer: Timo Jyrinki <timo@debian.org>
-Build-Depends: debhelper (>= 9.0.0), foma-bin, python3, libvoikko-dev (>= 4.0)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9.0.0),
+               foma-bin,
+               libvoikko-dev (>= 4.0),
+               python3,
+Standards-Version: 3.9.8
 Homepage: http://voikko.puimula.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/suomi-malaga.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/suomi-malaga.git;a=summary
 
 Package: voikko-fi
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libvoikko1 (<< 2.2-1)
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: libvoikko1 (<< 2.2-1),
 Description: Description of Finnish morphology written for libvoikko
  Voikko-fi (previously known as suomi-malaga) is a description of Finnish
  morphology written for libvoikko.
