=== debian/changelog ===
voikko-fi (2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Adjust debian/docs to what is shipped upstream. (Closes: #903343)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Aug 2018 16:41:17 +0300

voikko-fi (2.2-1) unstable; urgency=medium

  * New upstream version.
  * Rebase 10_source_date_epoch.patch
  * Bump Standards-Version to 4.0.0.

 -- Timo Jyrinki <timo@debian.org>  Fri, 08 Sep 2017 16:05:40 +0300
