=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                foma-bin,
                libvoikko-dev (>= 4.0),
                python3,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://voikko.puimula.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/suomi-malaga.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/suomi-malaga.git;a=summary
