## voikko-fi 2.3

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,6 @@
 VVFST_BUILDDIR=vvfst
 DESTDIR=/usr/lib/voikko
 GENLEX_OPTS=
-EXTRA_LEX=
 VOIKKO_VARIANT=standard
 VOIKKO_DESCRIPTION=suomi (perussanasto)
 SM_PATCHINFO=
@@ -18,8 +17,12 @@
 -include config.mak
 
 # Version of voikko-fi
-SM_VERSION=2.2
-SM_BUILDDATE=$(shell date -R -u)
+SM_VERSION=2.3
+ifdef SOURCE_DATE_EPOCH
+	SM_BUILDDATE=$(shell date -R -u -d "@$(SOURCE_DATE_EPOCH)")
+else
+	SM_BUILDDATE=$(shell date -R -u)
+endif
 
 VVFST_LEXC=vvfst/suomi.lexc vvfst/olla-ei.lexc vvfst/poikkeavat.lexc vvfst/lukusanat.lexc \
            vvfst/asemosanat.lexc vvfst/seikkasanat.lexc vvfst/suhdesanat.lexc
@@ -87,7 +90,7 @@
 
 # Vocabulary update
 update-vocabulary:
-	wget http://joukahainen.puimula.org/sanastot/joukahainen.xml.gz -O - \
+	wget https://joukahainen.puimula.org/sanastot/joukahainen.xml.gz -O - \
 	| gunzip > vocabulary/joukahainen.xml
 
 
@@ -96,7 +99,7 @@
 $(VVFST_BUILDDIR)/joukahainen.lexc.stamp: vocabulary/joukahainen.xml vocabulary/flags.txt vvfst/generate_lex.py \
 	common/voikkoutils.py common/hfconv.py common/generate_lex_common.py
 	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
-		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.puimula.org/word/edit?wid=\1|p"
+		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: https://joukahainen.puimula.org/word/edit?wid=\1|p"
 	$(PYTHON) vvfst/generate_lex.py $(GENLEX_OPTS) --destdir=$(VVFST_BUILDDIR)
 	touch $@
 
@@ -117,6 +120,7 @@
 
 $(VVFST_BUILDDIR)/all.att: $(VVFST_BUILDDIR)/all.lexc $(VVFST_BUILDDIR)/main.foma
 	foma -f $(VVFST_BUILDDIR)/main.foma 2>&1 | grep -v "defined but not used"
+	test -e $@
 	! grep ']]' $@
 
 $(VVFST_BUILDDIR)/autocorrect.att: $(VVFST_BUILDDIR)/autocorrect.lexc $(VVFST_BUILDDIR)/autocorrect.foma
@@ -132,7 +136,7 @@
 	s/SM_VOIKKO_DESCRIPTION/$(VOIKKO_DESCRIPTION)/; \
 	s/SM_VERSION/$(SM_VERSION)/; \
 	s/SM_PATCHINFO/$(SM_PATCHINFO)/; \
-	s/SM_BUILDCONFIG/$(subst /,\\/,GENLEX_OPTS=$(GENLEX_OPTS) EXTRA_LEX=$(EXTRA_LEX))/; \
+	s/SM_BUILDCONFIG/$(subst /,\\/,GENLEX_OPTS=$(GENLEX_OPTS))/; \
 	s/SM_BUILDDATE/$(SM_BUILDDATE)/"
 
 $(VVFST_BUILDDIR)/index.txt: vvfst/index.txt.in
@@ -143,18 +147,23 @@
 	install -m 755 -d $(DESTDIR)/5/mor-$(VOIKKO_VARIANT)
 	install -m 644 $(VVFST_BINDIST) $(DESTDIR)/5/mor-$(VOIKKO_VARIANT)
 
+vvfst-install-js-preload-file: vvfst-install
+ifndef EMSCRIPTEN
+	$(error EMSCRIPTEN is undefined, please source emsdk_set_env.sh first)
+endif
+	cd $(DESTDIR) && python $(EMSCRIPTEN)/tools/file_packager.py jsdict-$(VOIKKO_VARIANT).data --preload 5 --js-output=jsdict-$(VOIKKO_VARIANT).js
 
 # Rules for creating vvfst morphology for Sukija indexer. See file
 # $(VVFST_BUILDDIR)/generate_sukija.py for details.
 #
 vvfst-sukija: VOIKKO_VARIANT=sukija
 vvfst-sukija: VOIKKO_DESCRIPTION=suomi (perussanasto) Sukija
-vvfst-sukija: GENLEX_OPTS=--style=dialect,foreign,foreignloan,inappropriate,incorrect,international,old --min-frequency=10 --extra-usage=education,human,it,medicine,nature,orgname,science --sukija
+vvfst-sukija: GENLEX_OPTS=--style=dialect,foreign,foreignloan,inappropriate,incorrect,international,old --min-frequency=10 --extra-usage=education,human,it,medicine,nature,orgname,private_stat_fi,science --sukija
 vvfst-sukija: $(VVFST_BUILDDIR)/mor-sukija.vfst $(VVFST_BUILDDIR)/autocorr.vfst  $(VVFST_BUILDDIR)/index.txt
 
 vvfst-sukija-ys: VOIKKO_VARIANT=sukija
 vvfst-sukija-ys: VOIKKO_DESCRIPTION=suomi (perussanasto) Sukija
-vvfst-sukija-ys: GENLEX_OPTS=--style=dialect,foreign,foreignloan,inappropriate,incorrect,international,old --min-frequency=10 --extra-usage=education,human,it,medicine,nature,orgname,science --sukija --sukija-ys
+vvfst-sukija-ys: GENLEX_OPTS=--style=dialect,foreign,foreignloan,inappropriate,incorrect,international,old --min-frequency=10 --extra-usage=education,human,it,medicine,nature,orgname,private_stat_fi,science --sukija --sukija-ys
 vvfst-sukija-ys: $(VVFST_BUILDDIR)/mor-sukija.vfst  $(VVFST_BUILDDIR)/index.txt
 
 $(VVFST_BUILDDIR)/all-sukija.lexc: $(VVFST_BUILDDIR)/all.lexc $(VVFST_BUILDDIR)/generate_sukija.py.stamp $(VVFST_BUILDDIR)/poikkeavat-sukija.lexc
