=== debian/changelog ===
voikko-fi (2.3-1) unstable; urgency=medium

  * New upstream version.
  * Drop 10_source_date_epoch.patch, merged upstream.
  * Update git urls.
  * Update Standards-Version.

 -- Timo Jyrinki <timo@debian.org>  Wed, 25 Sep 2019 14:37:06 +0300
