=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
                foma-bin,
                libvoikko-dev (>= 4.0),
                python3,
-Standards-Version: 4.0.0
+Standards-Version: 4.4.0
 Homepage: http://voikko.puimula.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/suomi-malaga.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/suomi-malaga.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/voikko-fi.git
+Vcs-Browser: https://salsa.debian.org/debian/voikko-fi
 
 Package: voikko-fi
 Architecture: any
