## voikko-fi 2.4

=== debian/changelog ===
voikko-fi (2.4-1) unstable; urgency=medium

  * New upstream version.
  * Bump debehelper version to 12.

 -- Timo Jyrinki <timo@debian.org>  Fri, 08 Jan 2021 12:24:04 +0200
