## voikko-fi 2.5

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 -include config.mak
 
 # Version of voikko-fi
-SM_VERSION=2.3
+SM_VERSION=2.5
 ifdef SOURCE_DATE_EPOCH
 	SM_BUILDDATE=$(shell date -R -u -d "@$(SOURCE_DATE_EPOCH)")
 else
