=== debian/changelog ===
voikko-fi (2.5-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.

  [ Timo Jyrinki ]
  * Change foma dependency to not depend on a transitional package.
    (Closes: #1077414)

 -- Timo Jyrinki <timo@debian.org>  Sun, 18 Aug 2024 10:30:48 +0300

voikko-fi (2.5-1) unstable; urgency=medium

  * New upstream version.

 -- Timo Jyrinki <timo@debian.org>  Thu, 03 Mar 2022 15:34:37 +0200
