=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: text
 Priority: optional
 Maintainer: Timo Jyrinki <timo@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               foma-bin,
+Build-Depends: debhelper-compat (= 13),
+               foma,
                libvoikko-dev (>= 4.0),
                python3,
-Standards-Version: 4.4.0
-Homepage: http://voikko.puimula.org/
+Standards-Version: 4.6.0
+Homepage: https://voikko.puimula.org/
 Vcs-Git: https://salsa.debian.org/debian/voikko-fi.git
 Vcs-Browser: https://salsa.debian.org/debian/voikko-fi
