=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,3 @@
 	
 override_dh_auto_install:
 	$(MAKE) vvfst-install DESTDIR=$(CURDIR)/debian/voikko-fi/usr/lib/voikko
-
